﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication29;
using SyncfusionMvcApplication29.Models;
using System.Data.Entity;
using System.Collections;
namespace SyncfusionMvcApplication29.Controllers

{
    public class GridController : Controller
    {
        NORTHWNDEntities3 db = new NORTHWNDEntities3();
        public ActionResult GridFeatures()
        {
            var DataSource = new NORTHWNDEntities3().OrderTables.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }

        //Perform insertion 
        public ActionResult PerformInsert(OrderTable value)
        {

            db.OrderTables.Add(value);
            db.SaveChanges();

            return Json(value, JsonRequestBehavior.AllowGet);
        }

        //Perform update
        public ActionResult PerformUpdate(OrderTable value)
        {

            db.Entry(value).State = EntityState.Modified;
            db.SaveChanges();

            return Json(value, JsonRequestBehavior.AllowGet);
        }

        //Perform delete
        public ActionResult PerformDelete(int key)
        {

            db.OrderTables.Remove(db.OrderTables.Single(o => o.OrderID == key));
            db.SaveChanges();
            var data = db.OrderTables.ToList();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
    }
}
